Spinner

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Spinner

## Functions
EOAPI void | elm_obj_spinner_min_max_set (double min, double max)
| Set the minimum and maximum values for the spinner. More...
EOAPI void | elm_obj_spinner_min_max_get (double *min, double *max)
| Get the minimum and maximum values of the spinner. More...
EOAPI void | elm_obj_spinner_step_set (double step)
| Set the step used to increment or decrement the spinner value. More...
EOAPI double | elm_obj_spinner_step_get (void)
| Get the step used to increment or decrement the spinner value. More...
EOAPI void | elm_obj_spinner_wrap_set (Eina_Bool wrap)
| Set whether the spinner should wrap when it reaches its minimum or maximum value. More...
EOAPI Eina_Bool | elm_obj_spinner_wrap_get (void)
| Get whether the spinner should wrap when it reaches its minimum or maximum value. More...
EOAPI void | elm_obj_spinner_interval_set (double interval)
| Set the interval on time updates for an user mouse button hold on spinner widgets' arrows. More...
EOAPI double | elm_obj_spinner_interval_get (void)
| Get the interval on time updates for an user mouse button hold on spinner widgets' arrows. More...
EOAPI void | elm_obj_spinner_round_set (int rnd)
| Set the round value for rounding. More...
EOAPI int | elm_obj_spinner_round_get (void)
| Get the round value for rounding. More...
EOAPI void | elm_obj_spinner_editable_set (Eina_Bool editable)
| Set whether the spinner can be directly edited by the user or not. More...
EOAPI Eina_Bool | elm_obj_spinner_editable_get (void)
| Get whether the spinner can be directly edited by the user or not. More...
EOAPI void | elm_obj_spinner_base_set (double base)
| Set the base for rounding. More...
EOAPI double | elm_obj_spinner_base_get (void)
| Get the base for rounding. More...
EOAPI void | elm_obj_spinner_value_set (double val)
| Set the value the spinner displays. More...
EOAPI double | elm_obj_spinner_value_get (void)
| Get the value displayed by the spinner. More...
EOAPI void | elm_obj_spinner_label_format_set (const char *fmt)
| Set the format string of the displayed label. More...
EOAPI const char * | elm_obj_spinner_label_format_get (void)
| Get the label format of the spinner. More...
EOAPI void | elm_obj_spinner_special_value_add (double value, const char *label)
| Set a special string to display in the place of the numerical value. More...
void | elm_spinner_min_max_set (Elm_Spinner *obj, double min, double max)
| Set the minimum and maximum values for the spinner. More...
void | elm_spinner_min_max_get (const Elm_Spinner *obj, double *min, double *max)
| Get the minimum and maximum values of the spinner. More...
void | elm_spinner_step_set (Elm_Spinner *obj, double step)
| Set the step used to increment or decrement the spinner value. More...
double | elm_spinner_step_get (const Elm_Spinner *obj)
| Get the step used to increment or decrement the spinner value. More...
void | elm_spinner_wrap_set (Elm_Spinner *obj, Eina_Bool wrap)
| Set whether the spinner should wrap when it reaches its minimum or maximum value. More...
Eina_Bool | elm_spinner_wrap_get (const Elm_Spinner *obj)
| Get whether the spinner should wrap when it reaches its minimum or maximum value. More...
void | elm_spinner_interval_set (Elm_Spinner *obj, double interval)
| Set the interval on time updates for an user mouse button hold on spinner widgets' arrows. More...
double | elm_spinner_interval_get (const Elm_Spinner *obj)
| Get the interval on time updates for an user mouse button hold on spinner widgets' arrows. More...
void | elm_spinner_round_set (Elm_Spinner *obj, int rnd)
| Set the round value for rounding. More...
int | elm_spinner_round_get (const Elm_Spinner *obj)
| Get the round value for rounding. More...
void | elm_spinner_editable_set (Elm_Spinner *obj, Eina_Bool editable)
| Set whether the spinner can be directly edited by the user or not. More...
Eina_Bool | elm_spinner_editable_get (const Elm_Spinner *obj)
| Get whether the spinner can be directly edited by the user or not. More...
void | elm_spinner_base_set (Elm_Spinner *obj, double base)
| Set the base for rounding. More...
double | elm_spinner_base_get (const Elm_Spinner *obj)
| Get the base for rounding. More...
void | elm_spinner_value_set (Elm_Spinner *obj, double val)
| Set the value the spinner displays. More...
double | elm_spinner_value_get (const Elm_Spinner *obj)
| Get the value displayed by the spinner. More...
void | elm_spinner_label_format_set (Elm_Spinner *obj, const char *fmt)
| Set the format string of the displayed label. More...
const char * | elm_spinner_label_format_get (const Elm_Spinner *obj)
| Get the label format of the spinner. More...
void | elm_spinner_special_value_add (Elm_Spinner *obj, double value, const char *label)
| Set a special string to display in the place of the numerical value. More...
Evas_Object * | elm_spinner_add (Evas_Object *parent)
| Add a new spinner widget to the given parent Elementary (container) object. More...
void | elm_spinner_special_value_del (Evas_Object *obj, double value)
| Delete the special string display in the place of the numerical value. More...
const char * | elm_spinner_special_value_get (Evas_Object *obj, double value)
| Get the special string display in the place of the numerical value. More...

## Detailed Description

A spinner is a widget which allows the user to increase or decrease numeric values using arrow buttons, or edit values directly, clicking over it and typing the new value.

By default the spinner will not wrap and has a label of "%.0f" (just showing the integer value of the double).

A spinner has a label that is formatted with floating point values and thus accepts a printf-style format string, like “%1.2f units”.

It also allows specific values to be replaced by pre-defined labels.

This widget inherits from the Layout one, so that all the functions acting on it also work for spinner objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - Whenever the spinner value is changed.
- `"delay,changed"` - A short time after the value is changed by the user. This will be called only when the user stops dragging for a very short period or when they release their finger/mouse, so it avoids possibly expensive reactions to the value change.
- `"language,changed"` - the program's language changed
- `"focused"` - When the spinner has received focus. (since 1.8)
- `"unfocused"` - When the spinner has lost focus. (since 1.8)
- `"spinner,drag,start"` - When dragging has started. (since 1.8)
- `"spinner,drag,stop"` - When dragging has stopped. (since 1.8)

Available styles for it:

- `"default"`;
- `"vertical"`: up/down buttons at the right side and text left aligned.

Supported elm_object common APIs.

- elm_object_signal_emit
- elm_object_signal_callback_add
- elm_object_signal_callback_del
- elm_object_disabled_set
- elm_object_disabled_get

Here is an example on its usage: Spinner widget example

## Function Documentation

EOAPI double elm_obj_spinner_base_get | ( | void |  | ) |

Get the base for rounding.

Returns
  The base rounding value

This returns the base for rounding.

See also
  elm_spinner_round_set() too.
  elm_spinner_base_set() too.

Referenced by elm_spinner_base_get().

EOAPI void elm_obj_spinner_base_set | ( | double | base | ) |

Set the base for rounding.

Rounding works as follows:

rounded_val = base + (double)(((value - base) / round) * round)

Where rounded_val, value and base are doubles, and round is an integer.

This means that things will be rounded to increments (or decrements) of "round" starting from value `base`. The default base for rounding is 0.

Example: round = 3, base = 2 Values: ..., -2, 0, 2, 5, 8, 11, 14, ...

Example: round = 2, base = 5.5 Values: ..., -0.5, 1.5, 3.5, 5.5, 7.5, 9.5, 11.5, ...

See also
  elm_spinner_round_get()
  elm_spinner_base_get() too.

Parameters

  [in] | base | The base value

Referenced by elm_spinner_base_set().

EOAPI Eina_Bool elm_obj_spinner_editable_get | ( | void |  | ) |

Get whether the spinner can be directly edited by the user or not.

Returns
  `EINA_TRUE` means edition is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_spinner_editable_set() for details.

Referenced by elm_spinner_editable_get().

EOAPI void elm_obj_spinner_editable_set | ( | Eina_Bool | editable | ) |

Set whether the spinner can be directly edited by the user or not.

Spinner objects can have edition disabled, in which state they will be changed only by arrows. Useful for contexts where you don't want your users to interact with it writing the value. Specially when using special values, the user can see real value instead of special label on edition.

It's enabled by default.

See also
  elm_spinner_editable_get()

Parameters

  [in] | editable | `EINA_TRUE` to allow users to edit it or `EINA_FALSE` to don't allow users to edit it directly.

Referenced by elm_spinner_editable_set().

EOAPI double elm_obj_spinner_interval_get | ( | void |  | ) |

Get the interval on time updates for an user mouse button hold on spinner widgets' arrows.

Returns
  The (first) interval value, in seconds, set on it.

See also
  elm_spinner_interval_set() for more details.

Referenced by elm_spinner_interval_get().

EOAPI void elm_obj_spinner_interval_set | ( | double | interval | ) |

Set the interval on time updates for an user mouse button hold on spinner widgets' arrows.

This interval value is decreased while the user holds the mouse pointer either incrementing or decrementing spinner's value.

This helps the user to get to a given value distant from the current one easier/faster, as it will start to change quicker and quicker on mouse button holds.

The calculation for the next change interval value, starting from the one set with this call, is the previous interval divided by `1.05`, so it decreases a little bit.

The default starting interval value for automatic changes is `0.85` seconds.

See also
  elm_spinner_interval_get()

Parameters

  [in] | interval | The (first) interval value in seconds.

Referenced by elm_spinner_interval_set().

EOAPI const char* elm_obj_spinner_label_format_get | ( | void |  | ) |

Get the label format of the spinner.

Returns
  The text label format string in UTF-8.

See also
  elm_spinner_label_format_set() for details.

Referenced by elm_spinner_label_format_get().

EOAPI void elm_obj_spinner_label_format_set | ( | const char * | fmt | ) |

Set the format string of the displayed label.

If `NULL`, this sets the format to "%.0f". If not it sets the format string for the label text. The label text is provided a floating point value, so the label text can display up to 1 floating point value. Note that this is optional.

Use a format string such as "%1.2f meters" for example, and it will display values like: "3.14 meters" for a value equal to 3.14159.

Default is "%0.f".

See also
  elm_spinner_label_format_get()

Parameters

  [in] | fmt | The format string for the label display.

Referenced by elm_spinner_label_format_set().

EOAPI void elm_obj_spinner_min_max_get | ( | double * | min,
|  | double * | max
| ) |  |

Get the minimum and maximum values of the spinner.

Note
  If only one value is needed, the other pointer can be passed as `NULL`.

See also
  elm_spinner_min_max_set() for details.

Parameters

  [out] | min | The minimum value.
  [out] | max | The maximum value.

Referenced by elm_spinner_min_max_get().

EOAPI void elm_obj_spinner_min_max_set | ( | double | min,
|  | double | max
| ) |  |

Set the minimum and maximum values for the spinner.

Define the allowed range of values to be selected by the user.

If actual value is less than `min`, it will be updated to `min`. If it is bigger then `max`, will be updated to `max`. Actual value can be get with elm_spinner_value_get().

By default, min is equal to 0, and max is equal to 100.

Warning
  Maximum must be greater than minimum.

See also
  elm_spinner_min_max_get()

Parameters

  [in] | min | The minimum value.
  [in] | max | The maximum value.

Referenced by elm_spinner_min_max_set().

EOAPI int elm_obj_spinner_round_get | ( | void |  | ) |

Get the round value for rounding.

Returns
  The rounding value

This returns the round value for rounding.

See also
  elm_spinner_round_set() too.
  elm_spinner_base_set() too.

Referenced by elm_spinner_round_get().

EOAPI void elm_obj_spinner_round_set | ( | int | rnd | ) |

Set the round value for rounding.

Sets the rounding value used for value rounding in the spinner.

See also
  elm_spinner_round_get()
  elm_spinner_base_set()

Parameters

  [in] | rnd | The rounding value

Referenced by elm_spinner_round_set().

EOAPI void elm_obj_spinner_special_value_add | ( | double | value,
|  | const char * | label
| ) |  |

Set a special string to display in the place of the numerical value.

It's useful for cases when a user should select an item that is better indicated by a label than a value. For example, weekdays or months.

E.g.:

1 sp = elm_spinner_add(win);
2 elm_spinner_min_max_set(sp, 1, 3);
3 elm_spinner_special_value_add(sp, 1, "January");
4 elm_spinner_special_value_add(sp, 2, "February");
5 elm_spinner_special_value_add(sp, 3, "March");
6 evas_object_show(sp);

Note
  If another label was previously set to `value`, it will be replaced by the new label.

See also
  elm_spinner_special_value_get().
  elm_spinner_special_value_del().

Parameters

  [in] | value | The value to be replaced.
  [in] | label | The label to be used.

Referenced by elm_spinner_special_value_add().

EOAPI double elm_obj_spinner_step_get | ( | void |  | ) |

Get the step used to increment or decrement the spinner value.

Returns
  The step value.

See also
  elm_spinner_step_get() for more details.

Referenced by elm_spinner_step_get().

EOAPI void elm_obj_spinner_step_set | ( | double | step | ) |

Set the step used to increment or decrement the spinner value.

This value will be incremented or decremented to the displayed value. It will be incremented while the user keep right or top arrow pressed, and will be decremented while the user keep left or bottom arrow pressed.

The interval to increment / decrement can be set with elm_spinner_interval_set().

By default step value is equal to 1.

See also
  elm_spinner_step_get()

Parameters

  [in] | step | The step value.

Referenced by elm_spinner_step_set().

EOAPI double elm_obj_spinner_value_get | ( | void |  | ) |

Get the value displayed by the spinner.

Returns
  The value displayed.

See also
  elm_spinner_value_set() for details.

Referenced by elm_spinner_value_get().

EOAPI void elm_obj_spinner_value_set | ( | double | val | ) |

Set the value the spinner displays.

Value will be presented on the label following format specified with elm_spinner_format_set().

Warning
  The value must to be between min and max values. This values are set by elm_spinner_min_max_set().

See also
  elm_spinner_value_get().
  elm_spinner_format_set().
  elm_spinner_min_max_set().

Parameters

  [in] | val | The value to be displayed.

Referenced by elm_spinner_value_set().

EOAPI Eina_Bool elm_obj_spinner_wrap_get | ( | void |  | ) |

Get whether the spinner should wrap when it reaches its minimum or maximum value.

Returns
  `EINA_TRUE` means wrap is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_spinner_wrap_set() for details.

Referenced by elm_spinner_wrap_get().

EOAPI void elm_obj_spinner_wrap_set | ( | Eina_Bool | wrap | ) |

Set whether the spinner should wrap when it reaches its minimum or maximum value.

Disabled by default. If disabled, when the user tries to increment the value, but displayed value plus step value is bigger than maximum value, the new value will be the maximum value. The same happens when the user tries to decrement it, but the value less step is less than minimum value. In this case, the new displayed value will be the minimum value.

When wrap is enabled, when the user tries to increment the value, but displayed value plus step value is bigger than maximum value, the new value will be the minimum value. When the the user tries to decrement it, but the value less step is less than minimum value, the new displayed value will be the maximum value.

E.g.:

- min value = 10
- max value = 50
- step value = 20
- displayed value = 20

When the user decrement value (using left or bottom arrow), it will displays `50`.

See also
  elm_spinner_wrap_get().

Parameters

  [in] | wrap | `EINA_TRUE` to enable wrap or `EINA_FALSE` to disable it.

Referenced by elm_spinner_wrap_set().

Evas_Object* elm_spinner_add | ( | Evas_Object * | parent | ) |

Add a new spinner widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  a new spinner widget handle or `NULL`, on errors.

This function inserts a new spinner widget on the canvas.

double elm_spinner_base_get | ( | const Elm_Spinner * | obj | ) |

Get the base for rounding.

Returns
  The base rounding value

This returns the base for rounding.

See also
  elm_spinner_round_set() too.
  elm_spinner_base_set() too.

References elm_obj_spinner_base_get().

void elm_spinner_base_set | ( | Elm_Spinner * | obj,
|  | double | base
| ) |  |

Set the base for rounding.

Rounding works as follows:

rounded_val = base + (double)(((value - base) / round) * round)

Where rounded_val, value and base are doubles, and round is an integer.

This means that things will be rounded to increments (or decrements) of "round" starting from value `base`. The default base for rounding is 0.

Example: round = 3, base = 2 Values: ..., -2, 0, 2, 5, 8, 11, 14, ...

Example: round = 2, base = 5.5 Values: ..., -0.5, 1.5, 3.5, 5.5, 7.5, 9.5, 11.5, ...

See also
  elm_spinner_round_get()
  elm_spinner_base_get() too.

Parameters

  [in] | base | The base value

References elm_obj_spinner_base_set().

Eina_Bool elm_spinner_editable_get | ( | const Elm_Spinner * | obj | ) |

Get whether the spinner can be directly edited by the user or not.

Returns
  `EINA_TRUE` means edition is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_spinner_editable_set() for details.

References elm_obj_spinner_editable_get().

void elm_spinner_editable_set | ( | Elm_Spinner * | obj,
|  | Eina_Bool | editable
| ) |  |

Set whether the spinner can be directly edited by the user or not.

Spinner objects can have edition disabled, in which state they will be changed only by arrows. Useful for contexts where you don't want your users to interact with it writing the value. Specially when using special values, the user can see real value instead of special label on edition.

It's enabled by default.

See also
  elm_spinner_editable_get()

Parameters

  [in] | editable | `EINA_TRUE` to allow users to edit it or `EINA_FALSE` to don't allow users to edit it directly.

References elm_obj_spinner_editable_set().

double elm_spinner_interval_get | ( | const Elm_Spinner * | obj | ) |

Get the interval on time updates for an user mouse button hold on spinner widgets' arrows.

Returns
  The (first) interval value, in seconds, set on it.

See also
  elm_spinner_interval_set() for more details.

References elm_obj_spinner_interval_get().

void elm_spinner_interval_set | ( | Elm_Spinner * | obj,
|  | double | interval
| ) |  |

Set the interval on time updates for an user mouse button hold on spinner widgets' arrows.

This interval value is decreased while the user holds the mouse pointer either incrementing or decrementing spinner's value.

This helps the user to get to a given value distant from the current one easier/faster, as it will start to change quicker and quicker on mouse button holds.

The calculation for the next change interval value, starting from the one set with this call, is the previous interval divided by `1.05`, so it decreases a little bit.

The default starting interval value for automatic changes is `0.85` seconds.

See also
  elm_spinner_interval_get()

Parameters

  [in] | interval | The (first) interval value in seconds.

References elm_obj_spinner_interval_set().

const char* elm_spinner_label_format_get | ( | const Elm_Spinner * | obj | ) |

Get the label format of the spinner.

Returns
  The text label format string in UTF-8.

See also
  elm_spinner_label_format_set() for details.

References elm_obj_spinner_label_format_get().

void elm_spinner_label_format_set | ( | Elm_Spinner * | obj,
|  | const char * | fmt
| ) |  |

Set the format string of the displayed label.

If `NULL`, this sets the format to "%.0f". If not it sets the format string for the label text. The label text is provided a floating point value, so the label text can display up to 1 floating point value. Note that this is optional.

Use a format string such as "%1.2f meters" for example, and it will display values like: "3.14 meters" for a value equal to 3.14159.

Default is "%0.f".

See also
  elm_spinner_label_format_get()

Parameters

  [in] | fmt | The format string for the label display.

References elm_obj_spinner_label_format_set().

void elm_spinner_min_max_get | ( | const Elm_Spinner * | obj,
|  | double * | min,
|  | double * | max
| ) |  |

Get the minimum and maximum values of the spinner.

Note
  If only one value is needed, the other pointer can be passed as `NULL`.

See also
  elm_spinner_min_max_set() for details.

Parameters

  [out] | min | The minimum value.
  [out] | max | The maximum value.

References elm_obj_spinner_min_max_get().

void elm_spinner_min_max_set | ( | Elm_Spinner * | obj,
|  | double | min,
|  | double | max
| ) |  |

Set the minimum and maximum values for the spinner.

Define the allowed range of values to be selected by the user.

If actual value is less than `min`, it will be updated to `min`. If it is bigger then `max`, will be updated to `max`. Actual value can be get with elm_spinner_value_get().

By default, min is equal to 0, and max is equal to 100.

Warning
  Maximum must be greater than minimum.

See also
  elm_spinner_min_max_get()

Parameters

  [in] | min | The minimum value.
  [in] | max | The maximum value.

References elm_obj_spinner_min_max_set().

int elm_spinner_round_get | ( | const Elm_Spinner * | obj | ) |

Get the round value for rounding.

Returns
  The rounding value

This returns the round value for rounding.

See also
  elm_spinner_round_set() too.
  elm_spinner_base_set() too.

References elm_obj_spinner_round_get().

void elm_spinner_round_set | ( | Elm_Spinner * | obj,
|  | int | rnd
| ) |  |

Set the round value for rounding.

Sets the rounding value used for value rounding in the spinner.

See also
  elm_spinner_round_get()
  elm_spinner_base_set()

Parameters

  [in] | rnd | The rounding value

References elm_obj_spinner_round_set().

void elm_spinner_special_value_add | ( | Elm_Spinner * | obj,
|  | double | value,
|  | const char * | label
| ) |  |

Set a special string to display in the place of the numerical value.

It's useful for cases when a user should select an item that is better indicated by a label than a value. For example, weekdays or months.

E.g.:

1 sp = elm_spinner_add(win);
2 elm_spinner_min_max_set(sp, 1, 3);
3 elm_spinner_special_value_add(sp, 1, "January");
4 elm_spinner_special_value_add(sp, 2, "February");
5 elm_spinner_special_value_add(sp, 3, "March");
6 evas_object_show(sp);

Note
  If another label was previously set to `value`, it will be replaced by the new label.

See also
  elm_spinner_special_value_get().
  elm_spinner_special_value_del().

Parameters

  [in] | value | The value to be replaced.
  [in] | label | The label to be used.

References elm_obj_spinner_special_value_add().

void elm_spinner_special_value_del | ( | Evas_Object * | obj,
|  | double | value
| ) |  |

Delete the special string display in the place of the numerical value.

Parameters

  obj | The spinner object.
  value | The replaced value.

It will remove a previously added special value. After this, the spinner will display the value itself instead of a label.

See also
  elm_spinner_special_value_add() for more details.

Since
  1.8

const char* elm_spinner_special_value_get | ( | Evas_Object * | obj,
|  | double | value
| ) |  |

Get the special string display in the place of the numerical value.

Parameters

  obj | The spinner object.
  value | The replaced value.

Returns
  The used label.

See also
  elm_spinner_special_value_add() for more details.

Since
  1.8

double elm_spinner_step_get | ( | const Elm_Spinner * | obj | ) |

Get the step used to increment or decrement the spinner value.

Returns
  The step value.

See also
  elm_spinner_step_get() for more details.

References elm_obj_spinner_step_get().

void elm_spinner_step_set | ( | Elm_Spinner * | obj,
|  | double | step
| ) |  |

Set the step used to increment or decrement the spinner value.

This value will be incremented or decremented to the displayed value. It will be incremented while the user keep right or top arrow pressed, and will be decremented while the user keep left or bottom arrow pressed.

The interval to increment / decrement can be set with elm_spinner_interval_set().

By default step value is equal to 1.

See also
  elm_spinner_step_get()

Parameters

  [in] | step | The step value.

References elm_obj_spinner_step_set().

double elm_spinner_value_get | ( | const Elm_Spinner * | obj | ) |

Get the value displayed by the spinner.

Returns
  The value displayed.

See also
  elm_spinner_value_set() for details.

References elm_obj_spinner_value_get().

void elm_spinner_value_set | ( | Elm_Spinner * | obj,
|  | double | val
| ) |  |

Set the value the spinner displays.

Value will be presented on the label following format specified with elm_spinner_format_set().

Warning
  The value must to be between min and max values. This values are set by elm_spinner_min_max_set().

See also
  elm_spinner_value_get().
  elm_spinner_format_set().
  elm_spinner_min_max_set().

Parameters

  [in] | val | The value to be displayed.

References elm_obj_spinner_value_set().

Eina_Bool elm_spinner_wrap_get | ( | const Elm_Spinner * | obj | ) |

Get whether the spinner should wrap when it reaches its minimum or maximum value.

Returns
  `EINA_TRUE` means wrap is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_spinner_wrap_set() for details.

References elm_obj_spinner_wrap_get().

void elm_spinner_wrap_set | ( | Elm_Spinner * | obj,
|  | Eina_Bool | wrap
| ) |  |

Set whether the spinner should wrap when it reaches its minimum or maximum value.

Disabled by default. If disabled, when the user tries to increment the value, but displayed value plus step value is bigger than maximum value, the new value will be the maximum value. The same happens when the user tries to decrement it, but the value less step is less than minimum value. In this case, the new displayed value will be the minimum value.

When wrap is enabled, when the user tries to increment the value, but displayed value plus step value is bigger than maximum value, the new value will be the minimum value. When the the user tries to decrement it, but the value less step is less than minimum value, the new displayed value will be the maximum value.

E.g.:

- min value = 10
- max value = 50
- step value = 20
- displayed value = 20

When the user decrement value (using left or bottom arrow), it will displays `50`.

See also
  elm_spinner_wrap_get().

Parameters

  [in] | wrap | `EINA_TRUE` to enable wrap or `EINA_FALSE` to disable it.

References elm_obj_spinner_wrap_set().